Cannot get camera version by using ver / vers.req - General Help and Assistance on using CHDK stable releases - CHDK Forum supplierdeeply

Cannot get camera version by using ver / vers.req

  • 11 Replies
  • 2739 Views
Cannot get camera version by using ver / vers.req
« on: 01 / November / 2014, 07:29:57 »
Advertisements
Hi, I cannot get the version of my camera powershot sx 510 by using ver.req or vers.req. However I did get it eventually (101A) after several hours by using 'camera version'. I am worried though that even if I load the appropriate CHDK firmware, it might not work.
What I have tried to do: used CHDK for dummies: using a 4GB card in the computer, clicked on text documents and renamed them ver.req and vers.req. However I was not asked about changing file extension. The type of file still is 'text document', which maybe the cause of my problem. When I put the card in the camera, it took no notice at all , using it in play mode, pressing function and display buttons. It behaved the same when with another card w/o ver.req.
The 4GB micro card is in an adapter and works fine, recording photos etc.
I tried 'acid' but got error message saying cannot find 'javaw'
Found 'camera version' eventually getting it to work.
How can I get ver.req way to work to find version please?
Thanks

*

Offline zeno

  • *****
  • 885
Re: Cannot get camera version by using ver / vers.req
« Reply #1 on: 01 / November / 2014, 07:59:47 »
You can solve all of your problems by using my STICK utlity. Just drop a photo taken with your camera on the app window and it will download the right build, prepare your card and copy all the necessary files. See

http://www.zenoshrdlu.com/stick/stick.html

You will need to install java first - the STICK webpage tells you where to download it.
A570, S100, Ixus 127
Author of ASSIST, STICK, WASP, ACID, SDMInst, LICKS, WICKS, MacBoot, UBDB, CFGEdit

Re: Cannot get camera version by using ver / vers.req
« Reply #2 on: 01 / November / 2014, 10:46:48 »
zeno's advice (above) about using STICK is good.

Unforutnately, there is a lot of old, obsolete information floating around about how to install and use CHDK.  Including on the CHDK wiki.  I added a note to that old "for dummies" page about ver.req not always working on newer cameras.

I also started a rewrite of the "For Dummies" page here :  CHDK for Dummies 2nd Edition  When it gets a little farther along I'll relink the original page to point there.

Meanwhile, the only complete and current information about installing CHDK is here : Prepare your SD card

An mostly update-to-date list of useful links is here :  CHDK Links
Ported :   A1200    SD940   G10    Powershot N    G16

Re: Cannot get camera version by using ver / vers.req
« Reply #3 on: 01 / November / 2014, 20:10:17 »
Thanks zeno: I thought I should do the 'right thing' and follow the 'dummies' page first and get the version first; I will try the STICK utility. I was getting a bit frustrated as I have built several computers, partition, install etc and had not really met something like this that seemed simple but refuses to work

Thanks waterwingz; you are dead right, I am afraid of there is a lot of old material around; there are a few references to the 'fun' video eg again from 'dummies' page
"If you still don't get it, try CHDK For Newbies - How To Install. It's a fun step by step video tutorial."
which leads to the page recommending 'card tricks', but has the warning about it being obsolete for after 2010 and no sign of any video; last comments to video I found were in 2008! The good thing about the page referred to is that it does say to use a 4 GB card or start partitioning. I lost a couple of hours before as was on the dummies page which unfortunately made no reference to the size; but since I cannot get the version method to work I would not know whether the card size matters for finding the version.....

But thanks for your help though; I am just trying to be able to take some night exposures of about 8 secs on some stars, planets, moons, seeing how the 30x goes.



Re: Cannot get camera version by using ver / vers.req
« Reply #4 on: 01 / November / 2014, 20:37:32 »
Thanks waterwingz; you are dead right, I am afraid of there is a lot of old material around; there are a few references to the 'fun' video eg again from 'dummies' page.  "If you still don't get it, try CHDK For Newbies - How To Install. It's a fun step by step video tutorial." which leads to the page recommending 'card tricks', but has the warning about it being obsolete for after 2010 and no sign of any video; last comments to video I found were in 2008!
Huh?  I'll have to go find that one and remove it.

Quote
The good thing about the page referred to is that it does say to use a 4 GB card or start partitioning. I lost a couple of hours before as was on the dummies page which unfortunately made no reference to the size; but since I cannot get the version method to work I would not know whether the card size matters for finding the version.....
I doesn't.  Card size is really only an issue for autobooting CHDK on cards greater than 4G with cameras released prior to 2012.

Quote
I am just trying to be able to take some night exposures of about 8 secs on some stars, planets, moons, seeing how the 30x goes.
You might find this script interesting : meteor.lua
Ported :   A1200    SD940   G10    Powershot N    G16

Re: Cannot get camera version by using ver / vers.req
« Reply #5 on: 01 / November / 2014, 22:34:11 »
Thanks again waterwingz; if people aren't commenting on the 'video' etc , they must be going OK on finding the version of their camera; does ver / vers .req work for most cameras still? I still wonder why it does not work for me .. (but then I keep being told I'm the only person to report when things aren't working wherever I am....)

So card size after 2012 does not matter; as you've done, steering people to the STICK utility seems the only thing to tell them; I really did not want to get involved with partitioning, but anyway my new 4 G card would have been more than enough; my real camera is the S80 with a 2 G card, which still is fine for me (had better resolution than some DSLRs then)

and
please don't scare me with scripts yet! I have not anything going yet!

PS does the shortcut to post (hit alt+s) really work? I have tried it several times but still have to assemble the image to post

Re: Cannot get camera version by using ver / vers.req
« Reply #6 on: 01 / November / 2014, 23:54:37 »
Thanks again waterwingz; if people aren't commenting on the 'video' etc , they must be going OK on finding the version of their camera; does ver / vers .req work for most cameras still? I still wonder why it does not work for me .. (but then I keep being told I'm the only person to report when things aren't working wherever I am....)
Okay - here's my guess (i.e. no data).  Half the newbies who come here hoping to use CHDK just give up when it turns out to be more than a "one click" solution.   Half of the rest try to wade through the various versions of documentation and youtube videos and get a little bit running and then lose interest.  The remaining 25% work through the details and get things worked out. And of that 25%, only 10% provide comments or feedback here.  So that leaves 2% of the people who try CHDK that actually comments here.  And I'm pretty sure that's an estimate on the high side.  But it's just my guess - there is no data.

Quote
So card size after 2012 does not matter; as you've done, steering people to the STICK utility seems the only thing to tell them
zeno ( better knows as dave mitchell ) has changed the whole CHDK world by providing a tool that "just works" for installin CHDK.  And he is available for "same day service" for anyone with a problem. 

Quote
I really did not want to get involved with partitioning, but anyway my new 4 G card would have been more than enough; my real camera is the S80 with a 2 G card, which still is fine for me (had better resolution than some DSLRs then)
Your camera will work just fine with a single large partition - it was released after 2011.

Quote
please don't scare me with scripts yet! I have not anything going yet!
The script part is the "crack cocaine" of CHDK.   Just wait.

Quote
PS does the shortcut to post (hit alt+s) really work? I have tried it several times but still have to assemble the image to post
No idea - sorry.  Didn't know that was even an option.   And I seem to have posted a few times here.
Ported :   A1200    SD940   G10    Powershot N    G16

Re: Cannot get camera version by using ver / vers.req
« Reply #7 on: 02 / November / 2014, 01:01:03 »
Thanks for all your comments and time  waterwingz; I'm getting concerned you don't sleep or work.....

I feel sorry for the people who drop out, but hopefully promotion of STICK in the right places will help these people stay; I was really cross after I bought the camera, to found I was suddenly limited to 1 sec exposures on 80 ASA; the worst consumer problem I have ever had.

When I click on 'reply just under the box, this is what I see ( a copy and paste):

"
+ Attachments and other options
shortcuts: hit alt+s to submit/post or alt+p to preview
"

a small thing, but another little bug for people to try, and get stuck at
I had a bit of a look but is there anything on the Forum home page to say that if you register, you will not be bugged by the picture join up puzzle each time you search; that again could be really off putting for some; it really was a pain for me, until I thought in the end, I had to ask a question anyway, so I should register and no more puzzles to put together.
I think it is a little bit too difficult, and 'forcing' people to register when they are just trying to see if it is worthwhile getting into CHKD, is another put off.
Other sites just have, for eg, 'type the swirly letters and numbers' test; is this one (type the letters..) so unreliable it is not worth using? I suspect someone found the 'join the puzzle', which is cute for the first few times, and since they are registered are not really troubled by it anymore.
so maybe a notice and a simpler anti whatever puzzle?
Thanks again


Re: Cannot get camera version by using ver / vers.req
« Reply #8 on: 02 / November / 2014, 01:03:46 »
PS, this time when posting I did not have to complete the puzzle, as I have had to do for my previous posts. 'Curiouser and curiouser', cried Alice...

Re: Cannot get camera version by using ver / vers.req
« Reply #9 on: 02 / November / 2014, 05:40:15 »
Hoorah! finally loaded using STICK; did accidentally click on the one for XP, (but computer is win 7), which worked fine, but it could not read card (step 3?); so did a restart and clicked on the win 7 file and all went fine.
and finally when put card in camera it showed it had CHDK menu etc, so thanks all.
Now just have to start reading and learn how to use it especially shutter speeds.

 

Related Topics